Subject: Re: bug#39607: GRUB module all_video required to get video on 4K monitor

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 21 Feb 2020 09:33:53 -0500

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello,
>>
>> I installed Guix System on a new machine, which displays on a 4K (3840 x
>> 2160 pixels) monitor.
>>
>> Unless I go to the GRUB command prompt with 'c' at boot and type 'insmod
>> all_video', the video cuts early after booting a GRUB entry with 'No
>> suitable video mode found', or similar.
>>
>> I think we should include this GRUB module in our default GRUB
>> package/configuration.
>>
>> Maxim
>
> I think the attached patches fixes this issue, and makes the
> GRUB configuration a bit simpler too!

While the patches above are an improvement over the current situation,
it still doesn't resolve my problem.  I still get the 'No suitable video
modes, booting in blind mode' message after activating a GRUB entry,
unless I manually "insmod all_video"...

Here's my grub.cfg, along with a blank one generated by 'grub-mkconfig'
for comparison.